nlohmann Namespace Reference

namespace for Niels Lohmann More...

## Namespaces

| detail
| detail namespace with internal helper functions

## Classes

struct | adl_serializer
| default JSONSerializer template argument More...
class | basic_json
| a class to store JSON values More...
class | byte_container_with_subtype
| an internal type for a backed binary type More...
class | json_pointer
| JSON Pointer. More...
struct | json_sax
| SAX interface. More...
struct | ordered_map

## Typedefs

using | json = basic_json<>
| default JSON class More...
using | ordered_json = basic_json< nlohmann::ordered_map >
| ordered JSON class More...

## Functions

NLOHMANN_BASIC_JSON_TPL_DECLARATION std::string | to_string (const NLOHMANN_BASIC_JSON_TPL &j)
| user-defined to_string function for JSON values More...

## Detailed Description

namespace for Niels Lohmann

namespace to hold default `to_json` function

See also
  https://github.com/nlohmann

Since
  version 1.0.0

## Typedef Documentation

## json

typedef basic_json<> nlohmann::json

default JSON class

This type is the default specialization of the basic_json class which uses the standard template types.

Since
  version 1.0.0

## ordered_json

using nlohmann::ordered_json = typedef basic_json<nlohmann::ordered_map>

ordered JSON class

This type preserves the insertion order of object keys.

Since
  version 3.9.0

## Function Documentation

## to_string()

NLOHMANN_BASIC_JSON_TPL_DECLARATION std::string nlohmann::to_string | ( | const NLOHMANN_BASIC_JSON_TPL & | j | ) |

user-defined to_string function for JSON values

This function implements a user-defined to_string for JSON objects.

Parameters

  [in] | j | a JSON object

Returns
  a std::string object